# https://bugzilla.redhat.com/show_bug.cgi?id=996792
%global modname fedmsg_meta_debian

Name:               python-fedmsg-meta-debian
Version:            0.1
Release:            13%{?dist}
Summary:            Metadata providers for Debian's fedmsg deployment

Group:              Development/Libraries
License:            MIT
URL:                http://pypi.python.org/pypi/%{modname}
Source0:            http://pypi.python.org/packages/source/f/%{modname}/%{modname}-%{version}.tar.gz

BuildArch:          noarch


BuildRequires:      python2-devel
BuildRequires:      fedmsg >= 0.6.1
BuildRequires:      python2-setuptools


%global _description\
fedmsg <http://fedmsg.com> is a set of tools for knitting together\
services and webapps into a realtime messaging net. This package contains\
metadata provider plugins for the Debian deployment of that system.\
\
If you were to deploy fedmsg at another site, you would like want to write\
your own module like this one that could provide textual representations of\
your messages.\


%description %_description

%package -n python2-fedmsg-meta-debian
Summary: %summary
Requires:           fedmsg >= 0.6.1
Requires:           python2-fedora
%{?python_provide:%python_provide python2-fedmsg-meta-debian}

%description -n python2-fedmsg-meta-debian %_description

%prep
%setup -q -n %{modname}-%{version}

# Remove bundled egg-info in case it exists
rm -rf %{modname}.egg-info


%build
%{__python2} setup.py build


%install
%{__python2} setup.py install -O1 --skip-build --root=%{buildroot}


%check
%{__python2} setup.py test


%files -n python2-fedmsg-meta-debian
%{python2_sitelib}/%{modname}/
%{python2_sitelib}/%{modname}-%{version}*


%changelog
* Tue Jul 24 2018 Pierre-Yves Chibon <pingou@pingoured.fr> - 0.1-13
- Use the py2 macros

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Mar 09 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.1-11
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.1-9
- Python 2 binary package renamed to python2-fedmsg-meta-debian
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-6
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Aug 14 2013 Ian Weller <iweller@redhat.com> - 0.1-2
- BR: python-setuptools

* Tue Aug 13 2013 Ian Weller <iweller@redhat.com> - 0.1-1
- Initial package for Fedora
